DVCSRequest (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.dvcs

## Class DVCSRequest

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.dvcs.DVCSRequest

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class DVCSRequest
      extends ASN1Object

           DVCSRequest ::= SEQUENCE  {
               requestInformation         DVCSRequestInformation,
               data                       Data,
               transactionIdentifier      GeneralName OPTIONAL
           }

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DVCSRequest(DVCSRequestInformation requestInformation, Data data)`
    `DVCSRequest(DVCSRequestInformation requestInformation, Data data, GeneralName transactionIdentifier)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Data` | `getData()`
    `static DVCSRequest` | `getInstance(ASN1TaggedObject obj, boolean explicit)`
    `static DVCSRequest` | `getInstance(java.lang.Object obj)`
    `DVCSRequestInformation` | `getRequestInformation()`
    `GeneralName` | `getTransactionIdentifier()`
    `ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DVCSRequest

          public DVCSRequest(DVCSRequestInformation requestInformation,
                             Data data)

    - #### DVCSRequest

          public DVCSRequest(DVCSRequestInformation requestInformation,
                             Data data,
                             GeneralName transactionIdentifier)

  - ### Method Detail

    - #### getInstance

          public static DVCSRequest getInstance(java.lang.Object obj)

    - #### getInstance

          public static DVCSRequest getInstance(ASN1TaggedObject obj,
                                                boolean explicit)

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Description copied from class: `ASN1Object`
      Method providing a primitive representation of this object suitable for encoding.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getData

          public Data getData()

    - #### getRequestInformation

          public DVCSRequestInformation getRequestInformation()

    - #### getTransactionIdentifier

          public GeneralName getTransactionIdentifier()